package com.yonge.toolset.payment.base.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.yonge.toolset.base.enums.BaseEnum;

/**
 * 支付方法
 */
public enum MethodNameEnum implements BaseEnum<String, MethodNameEnum> {
    executePayment("统一支付请求"),
    queryPayment("查询订单"),
    closePayment("关闭订单"),
    refundPayment("退款"),
    ;

    @EnumValue
    private String code;
    private String msg;

    MethodNameEnum(String msg) {
        this.code = this.name();
        this.msg = msg;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    @Override
    public String getCode() {
        return this.code;
    }
}
